XmCreateMainWindow(3Xm)

NAME
XmCreateMainWindow — the MainWindow widget creation function.

SYNOPSIS
#include <Xm/MainW.h>

Widget XmCreateMainWindow (parent, name, arglist, argcount)
    Widget    parent;
    String    name;
    ArgList    arglist;
    Cardinal    argcount;

DESCRIPTION
XmCreateMainWindow creates an instance of a MainWindow widget and returns the associated widget ID.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

arglist
    Specifies the argument list.

argcount
    Specifies the number of attribute/value pairs in the argument list (arglist).

For a complete definition of MainWindow and its associated resources, see XmMainWindow(3Xm).

RETURN VALUE
Returns the MainWindow widget ID.

RELATED INFORMATION
XmMainWindow(3Xm).